unit uAlbaranesProveedorViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorAlbaranesProveedor, uEditorAlbaranProveedor,
  uEditorElegirArticulosAlbaranProveedor, uEditorDireccionEntregaAlbaranProveedor,
  uEditorElegirAlbaranesProveedor, uEditorAlbaranesDevProveedor, uEditorAlbaranDevProveedor,
  uEditorAlbaranesProveedorReport;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorDireccionEntregaAlbaranProveedor, 'EditorDireccionEntregaAlbaranProveedor');
  EditorRegistry.RegisterClass(TfEditorAlbaranesProveedor, 'EditorAlbaranesProveedor');
  EditorRegistry.RegisterClass(TfEditorAlbaranesDevProveedor, 'EditorAlbaranesDevProveedor');
  EditorRegistry.RegisterClass(TfEditorAlbaranProveedor, 'EditorAlbaranProveedor');
  EditorRegistry.RegisterClass(TfEditorAlbaranDevProveedor, 'EditorAlbaranDevProveedor');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosAlbaranProveedor, 'EditorElegirArticulosAlbaranesProveedor');
  EditorRegistry.RegisterClass(TfEditorElegirAlbaranesProveedor, 'EditorElegirAlbaranesProveedor');
  EditorRegistry.RegisterClass(TfEditorAlbaranesProveedorPreview, 'EditorAlbaranesProveedorPreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorDireccionEntregaAlbaranProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesDevProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranDevProveedor);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosAlbaranProveedor);
  EditorRegistry.UnRegisterClass(TfEditorElegirAlbaranesProveedor);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesProveedorPreview);
end;

end.

